<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::TerrainTile Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1TerrainTile.html">TerrainTile</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classgg_1_1TerrainTile-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::TerrainTile Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="TerrainTile_8hpp_source.html">TerrainTile.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::TerrainTile:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1TerrainTile.png" usemap="#gg::TerrainTile_map" alt=""/>
  <map id="gg::TerrainTile_map" name="gg::TerrainTile_map">
<area href="classgg_1_1Tile.html" alt="gg::Tile" shape="rect" coords="69,56,198,80"/>
<area href="classgg_1_1IEventSubscriber.html" alt="gg::IEventSubscriber" shape="rect" coords="139,0,268,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a54c61e664ee3703e05b9db3a6c0e2f5a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TerrainTile.html#a54c61e664ee3703e05b9db3a6c0e2f5a">TerrainTile</a> (const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;attributes)</td></tr>
<tr class="separator:a54c61e664ee3703e05b9db3a6c0e2f5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a512736a8f4cf1e4ecdb71f22d71f70c3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TerrainTile.html#a512736a8f4cf1e4ecdb71f22d71f70c3">~TerrainTile</a> () override=default</td></tr>
<tr class="separator:a512736a8f4cf1e4ecdb71f22d71f70c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4d34dd713679c8282baf6c77fde4711"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TerrainTile.html#ab4d34dd713679c8282baf6c77fde4711">IsWater</a> () -&gt; bool</td></tr>
<tr class="separator:ab4d34dd713679c8282baf6c77fde4711"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7b2a5d30ac9342a349517bf27018bd4"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TerrainTile.html#ae7b2a5d30ac9342a349517bf27018bd4">IsGrass</a> () -&gt; bool</td></tr>
<tr class="separator:ae7b2a5d30ac9342a349517bf27018bd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5124cacde85e3abf6c873e6570a0c0d"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TerrainTile.html#ac5124cacde85e3abf6c873e6570a0c0d">GetAttributes</a> () -&gt; <a class="el" href="classgg_1_1Attributes.html">Attributes</a> override</td></tr>
<tr class="separator:ac5124cacde85e3abf6c873e6570a0c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4197b667e2f2ee4237e0602f1658620b"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TerrainTile.html#a4197b667e2f2ee4237e0602f1658620b">GetTileType</a> () -&gt; <a class="el" href="namespacegg.html#a08ccf34451b5441314600ac46113a9f6">TileType</a> override</td></tr>
<tr class="separator:a4197b667e2f2ee4237e0602f1658620b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae34f60e6d1d82369e13f7bf772d0f9d1"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TerrainTile.html#ae34f60e6d1d82369e13f7bf772d0f9d1">GetTerrainType</a> () -&gt; <a class="el" href="namespacegg.html#a3a093fefaeb8d2d7b35b1356e2ea5ad0">TerrainType</a></td></tr>
<tr class="separator:ae34f60e6d1d82369e13f7bf772d0f9d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b960122be041933be46eaa1f80824c9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TerrainTile.html#a9b960122be041933be46eaa1f80824c9">Align</a> () override</td></tr>
<tr class="separator:a9b960122be041933be46eaa1f80824c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1Tile"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1Tile')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td></tr>
<tr class="memitem:ad5401c7e1b74b3c556b1960d150c15f1 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ad5401c7e1b74b3c556b1960d150c15f1">draw</a> (sf::RenderTarget &amp;target, sf::RenderStates states) const override</td></tr>
<tr class="separator:ad5401c7e1b74b3c556b1960d150c15f1 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76d15a17d011f27adcd9defccf00f520 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a76d15a17d011f27adcd9defccf00f520">Update</a> ()</td></tr>
<tr class="separator:a76d15a17d011f27adcd9defccf00f520 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7266360d4b7b0603596252ffb1edce51 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a7266360d4b7b0603596252ffb1edce51">Tile</a> (sf::Vector2f coordinates, sf::Texture &amp;texture, std::string texture_name, unsigned rotation)</td></tr>
<tr class="separator:a7266360d4b7b0603596252ffb1edce51 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e180f4be66ea12ad1e2a95a66fad2e7 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a3e180f4be66ea12ad1e2a95a66fad2e7">~Tile</a> () override=0</td></tr>
<tr class="separator:a3e180f4be66ea12ad1e2a95a66fad2e7 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ccfd1b779c329f0db0434c7c84fb326 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a6ccfd1b779c329f0db0434c7c84fb326">GetAttributes</a> () -&gt; <a class="el" href="classgg_1_1Attributes.html">Attributes</a>=0</td></tr>
<tr class="separator:a6ccfd1b779c329f0db0434c7c84fb326 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5df93094d59293b454a041b1fc780b51 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a5df93094d59293b454a041b1fc780b51">GetTileType</a> () -&gt; <a class="el" href="namespacegg.html#a08ccf34451b5441314600ac46113a9f6">TileType</a>=0</td></tr>
<tr class="separator:a5df93094d59293b454a041b1fc780b51 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a389b4f46707f195fa2ed2e22ec221cb6 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a389b4f46707f195fa2ed2e22ec221cb6">GetVertices</a> () -&gt; <a class="el" href="structgg_1_1TileVertices.html">TileVertices</a></td></tr>
<tr class="separator:a389b4f46707f195fa2ed2e22ec221cb6 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6c613329acd85d3a7ebf194ae5fa763 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#af6c613329acd85d3a7ebf194ae5fa763">GetCoordinates</a> () -&gt; sf::Vector2f</td></tr>
<tr class="separator:af6c613329acd85d3a7ebf194ae5fa763 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53d8865c694dfb8240eddce9fe1d6254 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a53d8865c694dfb8240eddce9fe1d6254">GetTexture</a> () -&gt; sf::Texture *</td></tr>
<tr class="separator:a53d8865c694dfb8240eddce9fe1d6254 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6b1fa9f1db1fb5aacb6bfb5f2984ad9 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ad6b1fa9f1db1fb5aacb6bfb5f2984ad9">GetTextureName</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:ad6b1fa9f1db1fb5aacb6bfb5f2984ad9 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa73c8e60689b326a699777bf379ed67f inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#aa73c8e60689b326a699777bf379ed67f">SetTexture</a> (std::string &amp;)</td></tr>
<tr class="separator:aa73c8e60689b326a699777bf379ed67f inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0191b303c80a99a08d039b5bf750634c inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a0191b303c80a99a08d039b5bf750634c">SetCoordinates</a> (sf::Vector2f)</td></tr>
<tr class="separator:a0191b303c80a99a08d039b5bf750634c inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ac25ea653262607007c15e5d68f9685 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a3ac25ea653262607007c15e5d68f9685">GetOrientation</a> () -&gt; unsigned</td></tr>
<tr class="separator:a3ac25ea653262607007c15e5d68f9685 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10ad4cf3efcbf28f9619728645dbf177 inherit pub_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a10ad4cf3efcbf28f9619728645dbf177">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e) override</td></tr>
<tr class="separator:a10ad4cf3efcbf28f9619728645dbf177 inherit pub_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEventSubscriber"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEventSubscriber')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td></tr>
<tr class="memitem:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a> (const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;) -&gt; bool</td></tr>
<tr class="separator:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a> () const -&gt; size_t</td></tr>
<tr class="separator:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:abd15c8f91d6e443f677a9368145db8aa"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TerrainTile.html#abd15c8f91d6e443f677a9368145db8aa">TerrainTypeToString</a> (const <a class="el" href="namespacegg.html#a3a093fefaeb8d2d7b35b1356e2ea5ad0">TerrainType</a> terrainType) -&gt; std::string</td></tr>
<tr class="separator:abd15c8f91d6e443f677a9368145db8aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9b230c3715d4db41e6b89d53d196fc6"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1TerrainTile.html#ab9b230c3715d4db41e6b89d53d196fc6">StringToTerrainType</a> (const std::string &amp;str) -&gt; <a class="el" href="namespacegg.html#a3a093fefaeb8d2d7b35b1356e2ea5ad0">TerrainType</a></td></tr>
<tr class="separator:ab9b230c3715d4db41e6b89d53d196fc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classgg_1_1Tile"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1Tile')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td></tr>
<tr class="memitem:a16878527ccba59914b345b7cf314df94 inherit pro_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a16878527ccba59914b345b7cf314df94">OnMouseMoved</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a16878527ccba59914b345b7cf314df94 inherit pro_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a301a080e5cdb580c2224a9548de9d753 inherit pro_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a301a080e5cdb580c2224a9548de9d753">OnMousePressed</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a301a080e5cdb580c2224a9548de9d753 inherit pro_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d29c8525bf4ff2360d8ed2da06417a2 inherit pro_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a1d29c8525bf4ff2360d8ed2da06417a2">OnKeyboardReleased</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a1d29c8525bf4ff2360d8ed2da06417a2 inherit pro_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79fb964ccb4a15eafbca90b4de886c63 inherit pro_methods_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a79fb964ccb4a15eafbca90b4de886c63">Align</a> ()=0</td></tr>
<tr class="separator:a79fb964ccb4a15eafbca90b4de886c63 inherit pro_methods_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classgg_1_1Tile"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classgg_1_1Tile')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td></tr>
<tr class="memitem:aa41280d666d951b77e2b350abe440b57 inherit pro_attribs_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">sf::Texture *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#aa41280d666d951b77e2b350abe440b57">mTexture</a></td></tr>
<tr class="separator:aa41280d666d951b77e2b350abe440b57 inherit pro_attribs_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a716d8b8c491751d505c16efdfdb09ffd inherit pro_attribs_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a716d8b8c491751d505c16efdfdb09ffd">mCoordinates</a></td></tr>
<tr class="separator:a716d8b8c491751d505c16efdfdb09ffd inherit pro_attribs_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac25ae0051a743d6d2268055b9b2a80f7 inherit pro_attribs_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">sf::Sprite&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ac25ae0051a743d6d2268055b9b2a80f7">mSprite</a></td></tr>
<tr class="separator:ac25ae0051a743d6d2268055b9b2a80f7 inherit pro_attribs_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2075c2d7f3e48756092e2ffc4285119 inherit pro_attribs_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#ab2075c2d7f3e48756092e2ffc4285119">mTextureName</a></td></tr>
<tr class="separator:ab2075c2d7f3e48756092e2ffc4285119 inherit pro_attribs_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f5447e844dced086af932cd654624b8 inherit pro_attribs_classgg_1_1Tile"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Tile.html#a1f5447e844dced086af932cd654624b8">mRotation</a> = 0</td></tr>
<tr class="separator:a1f5447e844dced086af932cd654624b8 inherit pro_attribs_classgg_1_1Tile"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a54c61e664ee3703e05b9db3a6c0e2f5a" name="a54c61e664ee3703e05b9db3a6c0e2f5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54c61e664ee3703e05b9db3a6c0e2f5a">&#9670;&nbsp;</a></span>TerrainTile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::TerrainTile::TerrainTile </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;&#160;</td>
          <td class="paramname"><em>attributes</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a512736a8f4cf1e4ecdb71f22d71f70c3" name="a512736a8f4cf1e4ecdb71f22d71f70c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a512736a8f4cf1e4ecdb71f22d71f70c3">&#9670;&nbsp;</a></span>~TerrainTile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::TerrainTile::~TerrainTile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9b960122be041933be46eaa1f80824c9" name="a9b960122be041933be46eaa1f80824c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b960122be041933be46eaa1f80824c9">&#9670;&nbsp;</a></span>Align()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::TerrainTile::Align </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1Tile.html#a79fb964ccb4a15eafbca90b4de886c63">gg::Tile</a>.</p>

</div>
</div>
<a id="ac5124cacde85e3abf6c873e6570a0c0d" name="ac5124cacde85e3abf6c873e6570a0c0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5124cacde85e3abf6c873e6570a0c0d">&#9670;&nbsp;</a></span>GetAttributes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::TerrainTile::GetAttributes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1Attributes.html">Attributes</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1Tile.html#a6ccfd1b779c329f0db0434c7c84fb326">gg::Tile</a>.</p>

</div>
</div>
<a id="ae34f60e6d1d82369e13f7bf772d0f9d1" name="ae34f60e6d1d82369e13f7bf772d0f9d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae34f60e6d1d82369e13f7bf772d0f9d1">&#9670;&nbsp;</a></span>GetTerrainType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::TerrainTile::GetTerrainType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="namespacegg.html#a3a093fefaeb8d2d7b35b1356e2ea5ad0">TerrainType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4197b667e2f2ee4237e0602f1658620b" name="a4197b667e2f2ee4237e0602f1658620b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4197b667e2f2ee4237e0602f1658620b">&#9670;&nbsp;</a></span>GetTileType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::TerrainTile::GetTileType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="namespacegg.html#a08ccf34451b5441314600ac46113a9f6">TileType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1Tile.html#a5df93094d59293b454a041b1fc780b51">gg::Tile</a>.</p>

</div>
</div>
<a id="ae7b2a5d30ac9342a349517bf27018bd4" name="ae7b2a5d30ac9342a349517bf27018bd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7b2a5d30ac9342a349517bf27018bd4">&#9670;&nbsp;</a></span>IsGrass()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::TerrainTile::IsGrass </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4d34dd713679c8282baf6c77fde4711" name="ab4d34dd713679c8282baf6c77fde4711"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4d34dd713679c8282baf6c77fde4711">&#9670;&nbsp;</a></span>IsWater()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::TerrainTile::IsWater </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  bool</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab9b230c3715d4db41e6b89d53d196fc6" name="ab9b230c3715d4db41e6b89d53d196fc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9b230c3715d4db41e6b89d53d196fc6">&#9670;&nbsp;</a></span>StringToTerrainType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::TerrainTile::StringToTerrainType </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td> -&gt;  <a class="el" href="namespacegg.html#a3a093fefaeb8d2d7b35b1356e2ea5ad0">TerrainType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abd15c8f91d6e443f677a9368145db8aa" name="abd15c8f91d6e443f677a9368145db8aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd15c8f91d6e443f677a9368145db8aa">&#9670;&nbsp;</a></span>TerrainTypeToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::TerrainTile::TerrainTypeToString </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespacegg.html#a3a093fefaeb8d2d7b35b1356e2ea5ad0">TerrainType</a>&#160;</td>
          <td class="paramname"><em>terrainType</em></td><td>)</td>
          <td> -&gt;  std::string</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/tile/<a class="el" href="TerrainTile_8hpp_source.html">TerrainTile.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
